Enrichment Settings
Get provider list
Returns all supported enrichment providers with their enabled status, priority order,
and whether an API key has been configured. Sorted by priority ascending.
The sendkit provider is enabled by default.
curl -X GET "https://api.sendkit.ai/v1/enrichment-settings" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.sendkit.ai/v1/enrichment-settings"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/enrichment-settings", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/enrichment-settings", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/enrichment-settings')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"provider": "sendkit",
"enabled": true,
"priority": 0,
"configured": false
},
{
"provider": "leadmagic",
"enabled": true,
"priority": 1,
"configured": true
},
{
"provider": "hunter",
"enabled": false,
"priority": 3,
"configured": true
},
{
"provider": "icypeas",
"enabled": false,
"priority": 2,
"configured": false
}
]
}
GET
/v1/enrichment-settings
GET
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Responses
successboolean
dataarray
Was this page helpful?
Last updated today
Built with Documentation.AI